Subject: Re: TRS-80 Model III - No Disk Drives

From: Al Hartman <[email-masked]>
Date: Sun Jun 29 12:28:00 2003

When the Model III first came out, it was Cassette
only. and 16k and 32k Models (I have a load of the
badges I ordered from National Parts that say
16k/32k/48k, because the Coco used the same ones).

That is probably the catalog number for one of those.
I can't put my hands on a vintage RS Catalog from
those days, but I probably have one somewhere...

When the Disk Controllers and drives came out, I had a
friend that wanted one badly...

I worked in a Radio Shack store at the time. We would
get the National Parts Catalog every month, which
would often list repair parts and kits in advance of
the retail release.

We ordered the Disk Controller and Drive system before
it became available at retail and put it in ourselves.

There was no manual, but it was pretty easy. We
figured it out in an hour or two. He had one of the
first 48k, 2 Disk Drive Model III's in Brooklyn.

I had a fun similar story with my Model I Expansion
Interface...

I had bought it on layaway from my store and I was
paying it off each paycheck. Radio Shack wanted an
ungodly amount of money for the Ram upgrade to take
the E/I from 0k to 32k. Something like $100 a set,
plus installation.

I found a company selling the RAM chips for $35 a set
(I think), and ordered two sets (the amount of $75.00
sticks in my head. That's either the price of both
sets together, or I paid $75.00 each for them...)

Anyway... I took the E/I home as soon as the RAM came
in. Upgraded it to 32k, tested it... And then brought
it BACK to the store and put it back on the shelf.

I paid it off a couple days later, and then took it
home.

I'm the only person I know who voided the warranty on
a piece of hardware BEFORE I officially bought it...

LOL!!

Regards,
Al